Subject: [bug#48924] Add systemd

From: Tony O <[email-masked]>
Date: Wed, 09 Jun 2021 20:31:06 +0000

In particular, im using it to relink against a nonfree binary which responds badly to tampering, so im using it only as a library. Others (on irc) expressed interest in using the package, and i can envision other usecases such as container images.

The downside to it being in my repo or being in "another channel" is that anyone wanting to use it then risks nonfree software, and that's already been lamented when i offered to do this in irc.

I'll leave it to your discretion...
Best,
ix
\-------- Original Message --------
On 9 Jun 2021, 21:25, Ludovic Courtès < [email-masked]> wrote:

>
>
>
> Hello,
>
> Tony O <[email-masked]> skribis:
>
> > Yes, it is based on mbakke's work, I updated the version to latest stable and fixed the new errors :)
>
> Heh, neat. Be sure to preserve Marius’ copyright line.
>
> > I'm quite happy to keep it outside guix if it's not deemed suitable, I was just encouraged to upstream stuff rather
> > than keep things to myself.
>
> Sure, it’s a good idea in general!
>
> > My usecase at least doesnt require regular updating, so for things dependent on just "a libsystemd" this would work
> > fine.
>
> So what’s your use case?
>
> Specifically, what’s the answer to this question:
>
> > Now, it would be unusable, unless/until Guix System supports systemd (an
> > option I do not support). For example, ‘guix install systemd’ wouldn’t
> > be of any use, right?
>
> By knowing the answer and understanding potential use cases, we can make
> more informed decisions.
>
> TIA,
> Ludo’.
>